> ## Name

> cgGetErrorString - get a human readable error string

> ## Synopsis

>     #include <Cg/cg.h>

>     const char * cgGetErrorString( CGerror error );

> ## Parameters

> error
>   The error condition.

> ## Return Values

> Returns a human readable error string for the given error condition.

> ## Description

> cgGetErrorString returns a human readable error string for the given error condition.

> ## Examples

>       const char * pCompilerError = cgGetErrorString( CG_COMPILER_ERROR );

> ## Errors

> None.

> ## History

> cgGetErrorString was introduced in Cg 1.1.

> ## See Also

> cgGetError